Create real-time notification alert
1 min
POST
https://app.amberflo.io/notifications
bodyobjectRequest payload for creating a new notification alert with threshold monitoring configuration.
200Notification successfully created with assigned ID and configuration details
400Invalid request parameters or malformed request body
401Missing or invalid API key authentication
403Insufficient permissions to access this resource
500Internal server error occurred while processing request
curl --request POST \
--url https://app.amberflo.io/notifications \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"name": "Too many api calls",
"description": "Alert on too many api calls",
"notificationType": "usage",
"meterId": "24ad0b40-a217-11eb-b01a-19ff91d9370d",
"frequency": "every 1h",
"webhookUrl": "https://hooks.slack.com/services/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",
"email": [
"[email protected]"
],
"thresholdCondition": "greater-than",
"thresholdValue": 1000,
"range": "day",
"customerFilterMode": "*",
"enabled": true
}'